查询可选送达时间
POST
/amzStaServer/openapi/inbound-shipment/getDeliveryDateList接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/amzStaServer/openapi/inbound-shipment/getDeliveryDateList | HTTPS | POST | 1 |
请求参数
inboundPlanIdstring必填shipmentIdstring必填sidinteger必填请求cURL示例
curl --location 'https://openapi.lingxing.com/amzStaServer/openapi/inbound-shipment/getDeliveryDateList?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"inboundPlanId": "wf0a914e89-d126-4ed9-a093-2078289fed05",
"shipmentId": "货件id",
"sid": 1
}'
返回结果
codeinteger必填messagestring必填errorDetailsarray<any>必填requestIdstring必填responseTimestring必填dataobject必填隐藏子属性
inboundPlanIdstring必填shipmentIdstring必填shipmentListarray<object>必填隐藏子属性
deliveryWindowOptionIdstring必填endDatestring必填startDatestring必填validUntilstring必填返回成功示例
{
"code": 0,
"message": "操作成功",
"errorDetails": [],
"requestId": "3b3d867e7d014971a580549f107c8c5a.1732773886069",
"responseTime": "2024-11-28T14:04:46.069",
"data": {
"inboundPlanId": "wf0a914e89-d126-4ed9-a093-2078289fed05",
"shipmentId": "货件单号",
"shipmentList": [{
"deliveryWindowOptionId": "选项id",
"endDate": "结束时间",
"startDate": "开始时间",
"validUntil": "过期时间"
}]
}
}